Get Notification Preferences By Type

post

/rest/apis/customer/v-model/communicationsPreferences/notificationType/{accountId}/{personId}/{notificationType}

Retrieves communication preferences for a specified notification type of an input customer context. The response includes available notification options, applicable service agreements, and the current preference settings used to manage communications at the account or service-agreement level.

Request

Path Parameters
Query Parameters
Supported Media Types
Request Body - application/xml ()
Root Schema : schema
Type: object
Show Source
Nested Schema : notificationTypeDetails
Type: object
Show Source
  • isOptedOut is defined as true if a customer opts out of the notifications preferences.
    Example: true
  • isOptOutAllowed allows customer to opt out of notification preferences when defined as true.
    Example: true
  • Allowed Values: [ "C1AC", "C1SA" ]
    Indicates if the notification type is set for the account level or for service agreements. * `C1AC` - By Account, * `C1SA` - By Service Agreement
    Example: C1SA
  • notificationOption
    If the notification type is a subscription, an optional list of notification option extension fields to capture
  • notificationPreferenceList
    A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
  • Maximum Length: 30
    Notification Type displays the code for the notification preferences for the customer in context.
    Example: ZZBUG23605115
  • Maximum Length: 100
    Notification Type displays the description for the notification preferences for the customer in context.
    Example: Test for Bug 23605115
  • Maximum Length: 14
    When opt out is supported, the preference to opt out is also stored in the communication preference entity as Communication Preference Id.
    Example: 74703875639999
  • Minimum Value: 0
    Maximum Value: 99999
    The Count tallies additional active push preferences for the account and any other related persons. If no other persons have an active preference for the parent notification type, the system uses its default notification method.
    Example: 1
  • Minimum Value: 0
    Maximum Value: 99999
    Number of service agreements without a configured preference for the notification type.
    Example: 0
  • Allowed Values: [ "C1PU", "C1SU" ]
    Subscription/Push defines if a notification is a push or a subscription type notification. * `C1PU` - Push, * `C1SU` - Subscription
    Example: C1PU
Nested Schema : SAFilters
Type: object
Show Source
  • Maximum Length: 254
    The first line of the address.
    Example: 129 Sutter St
  • Allowed Values: [ "N ", "Y " ]
    Filter service agreements according to whether or not a communication preference is configured. * `N ` - No, * `Y ` - Yes
    Example: Y
  • Minimum Value: 0
    Maximum Value: 999999999.999999
    Limit is an integer value that specifies the paging size for number of records to return when serving a client request.
    Example: 100
  • Minimum Value: 0
    Maximum Value: 999999999.999999
    The offset element is an integer value that specifies the index of the first item to be returned. The offset index begins at 0 and cannot be negative.
    Example: 0
  • Maximum Length: 10
    Premise ID is a system-assigned, unique identifier that shows the primary premise associated with the service agreement.
    Example: 8614900960
  • serviceTypes
  • Minimum Value: 0
    Maximum Value: 99999
    The total count of records returned by the query (for pagination or summary).
    Example: 13
Nested Schema : SAs
Type: array
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : notificationPreferenceList
Type: array
A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 106
    Data type lookup field for the option value.
    Example: NUMB
  • Maximum Length: 60
    Label of the option if allowed for the subscription notification type.
    Example: Days Before
  • Minimum Value: -9999999999
    Maximum Value: 9999999999
    Precision, if numeric
    Example: 1
  • Allowed Values: [ "N ", "Y " ]
    Required Y or N flag * `N ` - No, * `Y ` - Yes
    Example: N
  • Minimum Value: -999
    Maximum Value: 999
    Scale, if numeric
    Example: 0
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Sign, if numeric
    Example: false
  • Maximum Length: 4000
    Path to the option value being stored.
    Example: dueInfo/numberOfDaysBeforeDue
  • validValue
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : validValue
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 10
    Label of the notification option parameter value that can be provided as a setting.
    Example: Account Balance
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : items
Type: object
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : items
Type: object
Show Source
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : serviceTypes
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 80
    Code that identifies the service type that can be used to filter service agreements.
    Example: E
Nested Schema : items
Type: object
Show Source
  • Allowed Values: [ "REM ", "UPD " ]
    Indicates the action to perform for the service agreement communication preference. Set to UPD to add or update the communication preference for the service agreement. Set to REM to remove the communication preference from the service agreement level. * `REM ` - Remove, * `UPD ` - Update
    Example: UPD
  • Maximum Length: 254
    The mailing address for the primary premise associated with the service agreement.
    Example: 129 Sutter St, San Francisco, CA, 94104
  • Maximum Length: 5
    The CIS division on SA is actually part of the SA's SA type. Because SA type controls many business rules, all business rules that are on the SA type can be thought of as being defined for a given jurisdiction and SA type combination.
    Example: OH
  • Maximum Length: 100
    Description for CIS Division. CIS Division defines the jurisdiction that governs the account.
    Example: California
  • Maximum Length: 14
    The Notification Preference ID is the unique system generated primary key for the Notification Preference record.
    Example: 95058374991172
  • Maximum Length: 10
    The Service Agreement ID is a system assigned random number that stays with a service agreement for life.
  • Maximum Length: 8
    Code that identifies the service agreement type.
    Example: E-RES
  • Maximum Length: 30
    Description of the service agreement type.
    Example: Electric residential
  • Maximum Length: 80
    Code that identifies the service type that can be used to filter service agreements.
    Example: E
  • Date on which the service agreement became effective.
    Example: 2026-05-15
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : notificationTypeDetails
Type: object
Show Source
  • isOptedOut is defined as true if a customer opts out of the notifications preferences.
    Example: true
  • isOptOutAllowed allows customer to opt out of notification preferences when defined as true.
    Example: true
  • Allowed Values: [ "C1AC", "C1SA" ]
    Indicates if the notification type is set for the account level or for service agreements. * `C1AC` - By Account, * `C1SA` - By Service Agreement
    Example: C1SA
  • notificationOption
    If the notification type is a subscription, an optional list of notification option extension fields to capture
  • notificationPreferenceList
    A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
  • Maximum Length: 30
    Notification Type displays the code for the notification preferences for the customer in context.
    Example: ZZBUG23605115
  • Maximum Length: 100
    Notification Type displays the description for the notification preferences for the customer in context.
    Example: Test for Bug 23605115
  • Maximum Length: 14
    When opt out is supported, the preference to opt out is also stored in the communication preference entity as Communication Preference Id.
    Example: 74703875639999
  • Minimum Value: 0
    Maximum Value: 99999
    The Count tallies additional active push preferences for the account and any other related persons. If no other persons have an active preference for the parent notification type, the system uses its default notification method.
    Example: 1
  • Minimum Value: 0
    Maximum Value: 99999
    Number of service agreements without a configured preference for the notification type.
    Example: 0
  • Allowed Values: [ "C1PU", "C1SU" ]
    Subscription/Push defines if a notification is a push or a subscription type notification. * `C1PU` - Push, * `C1SU` - Subscription
    Example: C1PU
Nested Schema : SAFilters
Type: object
Show Source
  • Maximum Length: 254
    The first line of the address.
    Example: 129 Sutter St
  • Allowed Values: [ "N ", "Y " ]
    Filter service agreements according to whether or not a communication preference is configured. * `N ` - No, * `Y ` - Yes
    Example: Y
  • Minimum Value: 0
    Maximum Value: 999999999.999999
    Limit is an integer value that specifies the paging size for number of records to return when serving a client request.
    Example: 100
  • Minimum Value: 0
    Maximum Value: 999999999.999999
    The offset element is an integer value that specifies the index of the first item to be returned. The offset index begins at 0 and cannot be negative.
    Example: 0
  • Maximum Length: 10
    Premise ID is a system-assigned, unique identifier that shows the primary premise associated with the service agreement.
    Example: 8614900960
  • serviceTypes
  • Minimum Value: 0
    Maximum Value: 99999
    The total count of records returned by the query (for pagination or summary).
    Example: 13
Nested Schema : SAs
Type: array
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : notificationPreferenceList
Type: array
A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 106
    Data type lookup field for the option value.
    Example: NUMB
  • Maximum Length: 60
    Label of the option if allowed for the subscription notification type.
    Example: Days Before
  • Minimum Value: -9999999999
    Maximum Value: 9999999999
    Precision, if numeric
    Example: 1
  • Allowed Values: [ "N ", "Y " ]
    Required Y or N flag * `N ` - No, * `Y ` - Yes
    Example: N
  • Minimum Value: -999
    Maximum Value: 999
    Scale, if numeric
    Example: 0
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Sign, if numeric
    Example: false
  • Maximum Length: 4000
    Path to the option value being stored.
    Example: dueInfo/numberOfDaysBeforeDue
  • validValue
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : validValue
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 10
    Label of the notification option parameter value that can be provided as a setting.
    Example: Account Balance
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : items
Type: object
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : items
Type: object
Show Source
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : serviceTypes
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 80
    Code that identifies the service type that can be used to filter service agreements.
    Example: E
Nested Schema : items
Type: object
Show Source
  • Allowed Values: [ "REM ", "UPD " ]
    Indicates the action to perform for the service agreement communication preference. Set to UPD to add or update the communication preference for the service agreement. Set to REM to remove the communication preference from the service agreement level. * `REM ` - Remove, * `UPD ` - Update
    Example: UPD
  • Maximum Length: 254
    The mailing address for the primary premise associated with the service agreement.
    Example: 129 Sutter St, San Francisco, CA, 94104
  • Maximum Length: 5
    The CIS division on SA is actually part of the SA's SA type. Because SA type controls many business rules, all business rules that are on the SA type can be thought of as being defined for a given jurisdiction and SA type combination.
    Example: OH
  • Maximum Length: 100
    Description for CIS Division. CIS Division defines the jurisdiction that governs the account.
    Example: California
  • Maximum Length: 14
    The Notification Preference ID is the unique system generated primary key for the Notification Preference record.
    Example: 95058374991172
  • Maximum Length: 10
    The Service Agreement ID is a system assigned random number that stays with a service agreement for life.
  • Maximum Length: 8
    Code that identifies the service agreement type.
    Example: E-RES
  • Maximum Length: 30
    Description of the service agreement type.
    Example: Electric residential
  • Maximum Length: 80
    Code that identifies the service type that can be used to filter service agreements.
    Example: E
  • Date on which the service agreement became effective.
    Example: 2026-05-15
Back to Top

Response

Supported Media Types

200 Response

Success response
Body ()
Root Schema : C1ComPrefNtf
Type: object
Show Source
Nested Schema : notificationTypeDetails
Type: object
Show Source
  • isOptedOut is defined as true if a customer opts out of the notifications preferences.
    Example: true
  • isOptOutAllowed allows customer to opt out of notification preferences when defined as true.
    Example: true
  • Allowed Values: [ "C1AC", "C1SA" ]
    Indicates if the notification type is set for the account level or for service agreements. * `C1AC` - By Account, * `C1SA` - By Service Agreement
    Example: C1SA
  • notificationOption
    If the notification type is a subscription, an optional list of notification option extension fields to capture
  • notificationPreferenceList
    A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
  • Maximum Length: 30
    Notification Type displays the code for the notification preferences for the customer in context.
    Example: ZZBUG23605115
  • Maximum Length: 100
    Notification Type displays the description for the notification preferences for the customer in context.
    Example: Test for Bug 23605115
  • Maximum Length: 14
    When opt out is supported, the preference to opt out is also stored in the communication preference entity as Communication Preference Id.
    Example: 74703875639999
  • Minimum Value: 0
    Maximum Value: 99999
    The Count tallies additional active push preferences for the account and any other related persons. If no other persons have an active preference for the parent notification type, the system uses its default notification method.
    Example: 1
  • Minimum Value: 0
    Maximum Value: 99999
    Number of service agreements without a configured preference for the notification type.
    Example: 0
  • Allowed Values: [ "C1PU", "C1SU" ]
    Subscription/Push defines if a notification is a push or a subscription type notification. * `C1PU` - Push, * `C1SU` - Subscription
    Example: C1PU
Nested Schema : SAFilters
Type: object
Show Source
  • Maximum Length: 254
    The first line of the address.
    Example: 129 Sutter St
  • Allowed Values: [ "N ", "Y " ]
    Filter service agreements according to whether or not a communication preference is configured. * `N ` - No, * `Y ` - Yes
    Example: Y
  • Minimum Value: 0
    Maximum Value: 999999999.999999
    Limit is an integer value that specifies the paging size for number of records to return when serving a client request.
    Example: 100
  • Minimum Value: 0
    Maximum Value: 999999999.999999
    The offset element is an integer value that specifies the index of the first item to be returned. The offset index begins at 0 and cannot be negative.
    Example: 0
  • Maximum Length: 10
    Premise ID is a system-assigned, unique identifier that shows the primary premise associated with the service agreement.
    Example: 8614900960
  • serviceTypes
  • Minimum Value: 0
    Maximum Value: 99999
    The total count of records returned by the query (for pagination or summary).
    Example: 13
Nested Schema : SAs
Type: array
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : notificationPreferenceList
Type: array
A list of eligible contact preferences. This list includes all valid contact details for the person that are valid for the notification type and delivery type. If a contact reference is valid for multiple delivery types then it appears as multiple types
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 106
    Data type lookup field for the option value.
    Example: NUMB
  • Maximum Length: 60
    Label of the option if allowed for the subscription notification type.
    Example: Days Before
  • Minimum Value: -9999999999
    Maximum Value: 9999999999
    Precision, if numeric
    Example: 1
  • Allowed Values: [ "N ", "Y " ]
    Required Y or N flag * `N ` - No, * `Y ` - Yes
    Example: N
  • Minimum Value: -999
    Maximum Value: 999
    Scale, if numeric
    Example: 0
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Sign, if numeric
    Example: false
  • Maximum Length: 4000
    Path to the option value being stored.
    Example: dueInfo/numberOfDaysBeforeDue
  • validValue
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : validValue
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 10
    Label of the notification option parameter value that can be provided as a setting.
    Example: Account Balance
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : items
Type: object
Show Source
Nested Schema : notificationOption
Type: array
If the notification type is a subscription, an optional list of notification option extension fields to capture
Show Source
Nested Schema : items
Type: object
Show Source
  • Minimum Value: -999
    Maximum Value: 999
    Sequence if the notification type is a subscription that allows for an option to be set.
    Example: 10
  • Maximum Length: 254
    Value of the option that is set for the customer subscription.
    Example: 3
Nested Schema : serviceTypes
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
  • Maximum Length: 80
    Code that identifies the service type that can be used to filter service agreements.
    Example: E
Nested Schema : items
Type: object
Show Source
  • Allowed Values: [ "REM ", "UPD " ]
    Indicates the action to perform for the service agreement communication preference. Set to UPD to add or update the communication preference for the service agreement. Set to REM to remove the communication preference from the service agreement level. * `REM ` - Remove, * `UPD ` - Update
    Example: UPD
  • Maximum Length: 254
    The mailing address for the primary premise associated with the service agreement.
    Example: 129 Sutter St, San Francisco, CA, 94104
  • Maximum Length: 5
    The CIS division on SA is actually part of the SA's SA type. Because SA type controls many business rules, all business rules that are on the SA type can be thought of as being defined for a given jurisdiction and SA type combination.
    Example: OH
  • Maximum Length: 100
    Description for CIS Division. CIS Division defines the jurisdiction that governs the account.
    Example: California
  • Maximum Length: 14
    The Notification Preference ID is the unique system generated primary key for the Notification Preference record.
    Example: 95058374991172
  • Maximum Length: 10
    The Service Agreement ID is a system assigned random number that stays with a service agreement for life.
  • Maximum Length: 8
    Code that identifies the service agreement type.
    Example: E-RES
  • Maximum Length: 30
    Description of the service agreement type.
    Example: Electric residential
  • Maximum Length: 80
    Code that identifies the service type that can be used to filter service agreements.
    Example: E
  • Date on which the service agreement became effective.
    Example: 2026-05-15

400 Response

Bad Request
Body ()
Root Schema : problemDetailDocument
Type: object
Show Source
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 9999
    The HTTP Status code for the error.
  • Maximum Length: 60
    Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction.
  • Maximum Length: 60
    URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework.
  • serverMessage
  • Maximum Length: 60
    The stack trace shows where the error occurs during the execution of a program.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type: object
Show Source
  • Maximum Length: 60
    Delimited sequence of programs called.
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 0
    Message Category within Oracle Utilities Application Framework.
  • Minimum Value: -99999
    Maximum Value: 99999
    Message Number within Oracle Utilities Application Framework.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
  • Maximum Length: 60
    Name of the program that encountered the error.

500 Response

Internal Server Error
Body ()
Root Schema : problemDetailDocument
Type: object
Show Source
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 9999
    The HTTP Status code for the error.
  • Maximum Length: 60
    Fully qualified URL consisting of the Base URI Timestamp of error in ISO format, the User used for the transaction, the Message Category within Oracle Utilities Application Framework, the Message Number within Oracle Utilities Application Framework, the Request URL and the HTTP method used for the transaction.
  • Maximum Length: 60
    URL of the format "A/message/X/Y" where A is the base URI, X is the Message Category and Y is the Message Number within Oracle Utilities Application Framework.
  • serverMessage
  • Maximum Length: 60
    The stack trace shows where the error occurs during the execution of a program.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
Nested Schema : serverMessage
Type: object
Show Source
  • Maximum Length: 60
    Delimited sequence of programs called.
  • Maximum Length: 60
    The long message description from the Oracle Utilities Application Framework in CDATA format.
  • Minimum Value: 0
    Maximum Value: 0
    Message Category within Oracle Utilities Application Framework.
  • Minimum Value: -99999
    Maximum Value: 99999
    Message Number within Oracle Utilities Application Framework.
  • Maximum Length: 60
    Fully qualified error message from Oracle Utilities Application Framework in CDATA format.
  • Maximum Length: 60
    Name of the program that encountered the error.
Back to Top